import { Component, OnInit } from '@angular/core';
import {Observable, Observer} from 'rxjs';
import { FetcherService } from '../fetcher.service';


export interface entry{
  id: number;
  name: string;
  commitMessage: string;
  commitDate: string;
  type: string;
  url: string;
}

@Component({
  selector: 'app-github',
  templateUrl: './github.component.html',
  styleUrls: ['./github.component.css']
})
export class GithubComponent implements OnInit {
  projectId = NaN;
  constructor(private fetcherService: FetcherService) { 
  }
  fetchData(id: number) {
    //return dummy data of type entry
    return [
      {id: 1, name: "test", commitMessage: "test", commitDate: "test", type: "folder", url: "test"},
      {id: 2, name: "test", commitMessage: "test", commitDate: "test", type: "folder", url: "test"},
      {id: 3, name: "test", commitMessage: "test", commitDate: "test", type: "folder", url: "test"},
      {id: 4, name: "test", commitMessage: "test", commitDate: "test", type: "folder", url: "test"},
      {id: 5, name: "test", commitMessage: "test", commitDate: "test", type: "folder", url: "test"},
      {id: 1, name: "test", commitMessage: "test", commitDate: "test", type: "file", url: "test"},
      {id: 2, name: "test", commitMessage: "test", commitDate: "test", type: "file", url: "test"},
      {id: 3, name: "test", commitMessage: "test", commitDate: "test", type: "file", url: "test"},
      {id: 4, name: "test", commitMessage: "test", commitDate: "test", type: "file", url: "test"},
      {id: 5, name: "test", commitMessage: "test", commitDate: "test", type: "file", url: "test"},
    ]
  }

  ngOnInit(): void {
    this.projectId = this.fetcherService.getCurrentProjectId();
    console.log(this.projectId);
  }

}